Subject: linux booting fine but running slow

From: Stevan Ignjatovic <[email-masked]>
Date: Tue, 23 Jun 2009 16:48:20 +0200

I'm trying to boot linux Linux-2.6.30-rc8 (downloaded from www.denx.de)
on the custom made board with MPC885, 16MB DDR, 16MB flash. The
filesystem is jffs2, and I created it from ramdisk_image.gz which I
found in eldk 4.2 ppc_8xx/images folder. Linux booting looks fine, but
when I try to run any command such as ls, cat, ifconfig etc. their
execution takes very long time (even several tens of seconds). What
could cause such behavior? Any idea how to debug this?
The kernel configuration file is attached.

The messages printed on the console:  

## Booting kernel from Legacy Image at 00400000 ...
   Image Name:   Linux-2.6.30-rc8
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    1280379 Bytes =  1.2 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
## Flattened Device Tree blob at 00600000
   Booting using the fdt blob at 0x600000
   Uncompressing Kernel Image ... OK
Using MPC885 FSM machine description
Linux version 2.6.30-rc8 (root@stevan) (gcc version 4.2.2) #20 Tue Jun
23 13:00:23 CEST 2009
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  Normal   0x00001000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
MMU: Allocated 72 bytes of context maps for 16 contexts
Built 1 zonelists in Zone order, mobility grouping off.  Total pages:
4064
Kernel command line: console=ttyCPM0,38400 root=/dev/mtdblock3 rw
rootfstype=jffs2
ip=193.203.19.188:193.203.19.118::255.255.254.0::eth0:off
NR_IRQS:512
PID hash table entries: 64 (order: 6, 256 bytes)
Decrementer Frequency = 0x3ef148
clocksource: timebase mult[3c9b26ca] shift[22] registered
console [ttyCPM0] enabled
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Memory: 13496k/16384k available (2492k kernel code, 2888k reserved, 116k
data, 72k bss, 104k init)
Kernel virtual memory layout:
  * 0xffffe000..0xfffff000  : fixmap
  * 0xfde00000..0xfe000000  : consistent mem
  * 0xfddf6000..0xfde00000  : early ioremap
  * 0xc2000000..0xfddf6000  : vmalloc & ioremap
SLUB: Genslabs=12, HWalign=16, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Calibrating delay loop... 8.19 BogoMIPS (lpj=40960)
Mount-cache hash table entries: 512
net_namespace: 296 bytes
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
NET: Registered protocol family 1
JFFS2 version 2.2. © 2001-2006 Red Hat, Inc.
msgmni has been set to 26
io scheduler noop registered
io scheduler deadline registered (default)
Generic RTC Driver v1.07
f0000a80.serial: ttyCPM0 at MMIO 0xc2052a80 (irq = 19) is a CPM UART
brd: module loaded
Driver 'sd' needs updating - please use bus_type methods
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <[email-masked]>
eth0: fs_enet: 00:15:da:23:01:ff
eth1: fs_enet: 00:15:da:23:01:fe
FEC MII Bus: probed
fe000000.flash: Found 1 x16 devices at 0x0 in 16-bit bank
 Amd/Fujitsu Extended Query Table at 0x0040
fe000000.flash: CFI does not contain boot bank location. Assuming top.
number of CFI chips: 1
cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
cmdlinepart partition parsing not available
RedBoot partition parsing not available
Creating 4 MTD partitions on "fe000000.flash":
0x000000000000-0x000000080000 : "u-boot"
0x000000080000-0x000000180000 : "user"
0x000000180000-0x000000300000 : "kernel"
0x000000300000-0x000001000000 : "jffs2"
usbmon: debugfs is not available
116x: driver isp116x-hcd, 03 Nov 2005
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
i2c /dev entries driver
TCP cubic registered
NET: Registered protocol family 17
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
IP-Config: Complete:
     device=eth0, addr=193.203.19.188, mask=255.255.254.0,
gw=255.255.255.255,
     host=193.203.19.188, domain=, nis-domain=(none),
     bootserver=193.203.19.118, rootserver=193.203.19.118, rootpath=
VFS: Mounted root (jffs2 filesystem) on device 31:3.
Freeing unused kernel memory: 104k init
init started: BusyBox v1.7.1 (2008-04-02 09:14:47 MEST)
starting pid 242, tty '': '/etc/rc.sh'
starting pid 247, tty '': '/bin/sh'
~ #